Bug 692035 - [NV94] Dual-head problems: Nouveau on FC14 fails to drive both outputs of Nvidia 9600GT correctly.
Summary: [NV94] Dual-head problems: Nouveau on FC14 fails to drive both outputs of Nvi...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 22
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-30 09:37 UTC by David Cussans
Modified: 2016-07-19 19:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:25:43 UTC


Attachments (Terms of Use)
Xorg.0.log (315.06 KB, text/plain)
2011-03-30 09:38 UTC, David Cussans
no flags Details
Output from dmesg (70.62 KB, text/plain)
2011-03-30 09:39 UTC, David Cussans
no flags Details
Xorg config file (910 bytes, text/plain)
2011-03-30 09:40 UTC, David Cussans
no flags Details
output from "smoltSendProfile -p > /tmp/smoltprofile.txt" (5.75 KB, text/plain)
2011-03-30 09:45 UTC, David Cussans
no flags Details
Output from dmesg with log_buf_len=1M drm.debug=14 3 added to kernel arguments at boot (270.42 KB, text/plain)
2011-03-30 15:44 UTC, David Cussans
no flags Details
Output from xrandr (1005 bytes, text/plain)
2011-04-06 09:52 UTC, David Cussans
no flags Details

Description David Cussans 2011-03-30 09:37:30 UTC
Description of problem:

I have a "Intel(R) Core(TM)2 Duo CPU E8400 @ 3.00GHz" system running FC14 x86_64

I have a Nvidia 9600GT based graphics card 
connected by DVI cables to two Samsung SyncMaster 2443 monitors.

I used to run FC12 with the proprietary Nvidia driver, which worked fine. Since
I upgraded to FC14 the system (with proprietary drivers) locks up after about 10 minutes of use

I decided to swap to the Nouveau driver. This runs stably, only one of the two monitors is active.

If I have no xorg.conf file X selects VESA ( this might be because I generally run with the nomodeset kernel argument ) so I use a small xorg.conf file (attached)

Just to make sure that a monitor hadn't died I swapped cables. This shows the lack of display is associated with the output not the monitor

The presence of two displays shows up in the system settings under both Gnome and KDE, but making changes here does not result in the screen becoming active.

Version-Release number of selected component (if applicable):

FC14
xorg-x11-drv-nouveau-0.0.16-11.20100826git065576d.fc14.x86_64

How reproducible:

Always happens

Steps to Reproduce:
1. Install FC14
2. Install then remove Nvidia proprietary drivers
3. 
  
Actual results:

Only one of two monitors has output.

Expected results:

Both monitors have output.

Additional info:

Comment 1 David Cussans 2011-03-30 09:38:47 UTC
Created attachment 488704 [details]
Xorg.0.log

Comment 2 David Cussans 2011-03-30 09:39:23 UTC
Created attachment 488706 [details]
Output from dmesg

Comment 3 David Cussans 2011-03-30 09:40:00 UTC
Created attachment 488707 [details]
Xorg config file

Comment 4 David Cussans 2011-03-30 09:45:57 UTC
Created attachment 488715 [details]
output from "smoltSendProfile -p > /tmp/smoltprofile.txt"

Comment 5 Ben Skeggs 2011-03-30 10:21:12 UTC
If you set both displays to something like 1024x768 (the lower the better to confirm the first theory), do both displays begin to work?

Comment 6 David Cussans 2011-03-30 10:37:30 UTC
(In reply to comment #5)
> If you set both displays to something like 1024x768 (the lower the better to
> confirm the first theory), do both displays begin to work?

I reduced the resolution to 640x480 using the "Display and Monitor" tool in KDE 

(I had been using Gnome, but changed to KDE in the hope that it might help. It didn't)

The resolution changes as expected on the monitor with output. The other monitor remains without output.

I tried a few different resolutions and screen organizations ( LeftOf , Clone ) with the same result.


tail -15 /var/log/Xorg.0.log
[  5284.251] (II) NOUVEAU(0): Modeline "720x576"x50.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz)
[  5284.251] (II) NOUVEAU(0): Modeline "720x480"x59.9   27.00  720 736 798 858  480 489 495 525 -hsync -vsync (31.5 kHz)
[  5284.251] (II) NOUVEAU(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[  5310.719] resize called 1024 768
[  5317.201] resize called 1920 1200
[  5325.509] resize called 3840 1200
[  5333.130] resize called 1920 1200
[  5412.292] resize called 2048 1200
[  5412.694] resize called 2048 768
[  5419.426] resize called 2048 1200
[  5419.765] resize called 1920 1200
[  5507.564] resize called 640 480
[  5512.830] resize called 1920 1200
[  5539.374] resize called 1280 480
[  5554.462] resize called 1920 1200

Comment 7 Ben Skeggs 2011-03-30 10:49:30 UTC
Okay.  That likely rules out memory bandwidth issues.  Can you boot with both monitors attached, with "log_buf_len=1M drm.debug=14 3" and save the dmesg at the console.

Another question, is it a specific output that doesn't work, or just when *both* are plugged in one doesn't work?

Comment 8 David Cussans 2011-03-30 15:41:53 UTC
(In reply to comment #7)


Ben,

   Thanks for your help with this. 

> Okay.  That likely rules out memory bandwidth issues.  Can you boot with both
> monitors attached, with "log_buf_len=1M drm.debug=14 3" and save the dmesg at
> the console.

   I will upload the output from dmesg after adding "log_buf_len=1M drm.debug=14 3" to the kernel arguments.

> Another question, is it a specific output that doesn't work, or just when
> *both* are plugged in one doesn't work?

   When I have both monitors attached the BIOS and Grub messages show only on "DVI-1" with the monitor attached to "DVI-2" powered down when nouveau starts this remains the case ( output on DVI-1 only )

  When I unplug DVI-1 and reboot the BIOS and Grub messages now appear on DVI-2 ( the only monitor connected ). When nouveau starts the output disappears and shortly afterwards the monitor attached to DVI-2 powers itself down ( no signal ).

  Previously, when I was running FC12 with the Nvidia proprietary drivers, the BOIS and Grub messages would be on DVI-1 but when X started the monitor attached to DVI-2 would receive signal and turn itself on. Dual head display .....

Regards,
  David

Comment 9 David Cussans 2011-03-30 15:44:23 UTC
Created attachment 488807 [details]
Output from dmesg with log_buf_len=1M drm.debug=14 3 added to kernel arguments at boot

Comment 10 David Cussans 2011-04-06 09:50:55 UTC
I don't have any docs for the card, however since I have now replaced it with an ATI card I can see that it has labels saying "XFX" , "GeForce 9600 GT" , "PV-T96G-YHQ4 V5.0 W08/08" , "GF 9600GT 670M 512M DDR3 DUAL DVI TV PCI-E"

xrandr --output DVI-I-1 --set "scaling mode" None
xrandr --output DVI-I-2 --set "scaling mode" None

has no visible effect. I will attach the output of "xrandr"

Thanks again for your help.

On Tue, 2011-04-05 at 10:30 +0100, David Cussans wrote:
> > Ben,
> > 
> >     Apologies for the off-list E-mail. 
Hey,

> > 
> >     Does this issue look fixable in the short term? 
I'm not sure even what the problem is exactly from what I've seen in the
logs you provided.  Unfortunately these kind of issues often require me
sitting in front of it, bashing registers on the card (usually reading
from a VBIOS trace etc) until the screen turns on :)

Docs for the hardware really would be nice!

The only other immediate long-shot idea is to retry with the setting
both displays to a low resolution, but this time also running:

xrandr --output OUTPUT_NAME --set "scaling mode" None

for both outputs too.  I don't expect this will help, but, it's worth a
shot :)

Ben.

> > 
> >     I use this machine for work and I would like to get both screens
> > working. I can easily wonder into the lab and swap the Nvidia card
> > from my office machine with e.g. an ATI card from one of the machines
> > in the lab. However, then I wouldn't be able to do any more debugging
> > on this issue.
> > 
> >         David
> >

Comment 11 David Cussans 2011-04-06 09:52:15 UTC
Created attachment 490231 [details]
Output from xrandr

Comment 12 Stanislav Ochotnicky 2011-07-27 15:54:05 UTC
Just to add: I was hit by this bug recently as well (at least I think it is this bug).

I used to have two monitors like this:
Samsung SyncMaster 2243 (1680x1050) - right
Some older Dell 1280x1024 left

This setup worked (Dell was connected through dsub convertor because it had old analog connector). 

Now I got another SyncMaster and Nouveau apparently cannot drive the second output. xrandr shows both monitors as connected and working, but second monitor says it's not connected. 

If you need additional data to debug, let me know.

Comment 13 Stanislav Ochotnicky 2011-07-27 15:57:30 UTC
And additional info:
- GPU is NVIDIA Quadro FX 380 (G96GL)
- Doesn't work on F15 either

Comment 14 Radek Novacek 2011-08-02 12:43:13 UTC
I'm also having this issue. It might be same bug as https://bugs.freedesktop.org/show_bug.cgi?id=36142 and https://bugs.freedesktop.org/show_bug.cgi?id=27455

Comment 15 Radek Novacek 2011-10-10 12:29:45 UTC
This bug is still present in Fedora 16 Beta.

Comment 16 Stanislav Ochotnicky 2011-10-10 15:47:11 UTC
I've been using DVI-VGA converter as a workaround. So I have connected one monitor using the converter and with it both displays work. Until this bug is fixed I guess that's the only sane reason to make it work.

Comment 17 Jaromír Cápík 2012-10-09 13:19:56 UTC
Hello Ben.

Do you have any news for us?

Thank you.

Regards,
Jaromir.

Comment 18 Jaromír Cápík 2013-01-08 18:57:04 UTC
Hello Ben.

Any news here?
I can confirm the issue is present on Fedora 17 too.

Please, let me know.
Thank you.

Regards,
Jaromir.

Comment 19 Fedora End Of Life 2013-01-16 12:25:53 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 20 Radek Novacek 2013-01-16 12:45:51 UTC
This bug is still present on Fedora 18.

Comment 21 Fedora End Of Life 2013-12-21 08:27:18 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Fedora End Of Life 2014-02-05 11:48:30 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 23 Ben Skeggs 2014-02-06 22:02:52 UTC
Can I get fresh logs from F20 please?  Our display code has changed quite a bit since.  Adding "nouveau.debug=trace log_buf_len=1M" should definitely get me everything I need.

I guess since it fails on that one port, let's try with that rather than dual-head at the moment.

Thanks!

Comment 24 Jaromír Cápík 2014-02-11 18:20:42 UTC
According to the upstream URL, the bug might be fixed with the 3.14-rc1 kernel.

Comment 25 Fedora End Of Life 2015-05-29 08:38:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 26 Fedora End Of Life 2015-06-29 11:36:10 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 27 Fedora End Of Life 2015-11-04 10:53:40 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 28 Fedora End Of Life 2015-12-02 02:35:12 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 29 Jaromír Cápík 2015-12-02 15:19:56 UTC
Hello, the issue is still reproducible in f22.

Comment 30 David Cussans 2015-12-02 15:56:42 UTC
(In reply to Jaromír Cápík from comment #29)
> Hello, the issue is still reproducible in f22.

Sorry - I never got dual head to work with that card, so eventually I got rid of it.

Comment 31 Fedora End Of Life 2016-07-19 19:25:43 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.